Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Sat, 11 Jan 2020 18:59:21 +0000

On Sat, Jan 11, 2020 at 1:52 AM Dmitry Gutov <[email-masked]> wrote:

> I mean... there is something to be said about not having
> icomplete-fido-ret try to do too many things, but I fear having RET
> prohibit non-matching input entirely would make it too user-unfriendly.
>
> Could be wrong, though.

And you could be right, who knows? :-)  I arrived here with a lot of trial and
error.  I wrote fido-mode (and gave up on vanilla icomplete) when I discovered
my fingers still missed that sweet sweet interface.  I had to adapt some
things due to implementation difficulties (but most of them are surpassed
now) and others due to fundamental changes in the problem others due
to opinion.  It "feels" nice for me now, but if you can come up with a better
binding for RET, shoot it over, I'll tell you what I think about it.  I think
you'll find it will have advantages and disadvantages.  But who knows :-)

João